> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create review

> Create a new review for a specific asset.



## OpenAPI

````yaml post /workspaces/assets/{asset_id}/reviews
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/assets/{asset_id}/reviews:
    post:
      tags:
        - Asset Review
      description: Create a new review for a specific asset.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
        - in: path
          name: asset_id
          schema:
            type: string
          required: true
        - in: query
          name: asset_version_id
          required: false
          schema:
            type: string
        - in: query
          name: assigned_user_id
          required: false
          schema:
            type: string
        - in: query
          name: status
          required: false
          schema:
            type: string
        - in: query
          name: mentions
          required: false
          schema:
            type: array
            items:
              type: string
        - in: query
          name: files
          required: false
          schema:
            type: array
            items:
              type: string
        - in: query
          name: viewer_metadata
          required: false
          schema:
            type: string
        - in: query
          name: content
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The created review
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetReview'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    AssetReview:
      type: object
      description: Represents a review of an asset.
      properties:
        id:
          type: string
          description: Unique identifier for the asset review.
        asset_id:
          type: string
          description: Unique identifier for the asset being reviewed.
        asset_version_id:
          type: string
          nullable: true
          description: Unique identifier for the version of the asset being reviewed.
        user_id:
          type: string
          description: Unique identifier for the user who created the review.
        assigned_user_id:
          type: string
          nullable: true
          description: Unique identifier for the user assigned to the review.
        status:
          type: string
          enum:
            - approved
            - rejected
          description: Status of the review.
        content:
          type: string
          description: Content of the review.
        mentions:
          type: array
          items:
            type: string
          description: List of user mentions in the review.
        viewer_metadata:
          type: object
          description: Metadata for the viewer.
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/AssetAttachment'
          description: List of attachments associated with the review.
        version:
          $ref: '#/components/schemas/AssetVersion'
          description: Version of the asset being reviewed.
        user:
          $ref: '#/components/schemas/User'
          description: User who created the review.
        assignee:
          $ref: '#/components/schemas/User'
          description: User assigned to the review.
        workspace_id:
          type: string
          nullable: true
          description: Unique identifier for the workspace.
    AssetAttachment:
      type: object
      description: Represents an attachment associated with an asset.
      properties:
        id:
          type: string
          description: Unique identifier for the asset attachment.
        asset_id:
          type: string
          description: Identifier of the associated asset.
        created_by_user_id:
          type: string
          description: Identifier of the user who created the attachment.
        file_id:
          type: string
          description: Identifier of the file associated with the attachment.
        thumbnail_file_id:
          type: string
          description: Identifier of the thumbnail file associated with the attachment.
        review_id:
          type: string
          description: Identifier of the associated review.
        comment_id:
          type: string
          description: Identifier of the associated comment.
        name:
          type: string
          description: Name of the attachment.
        description:
          type: string
          description: Description of the attachment.
        user:
          $ref: '#/components/schemas/User'
          description: User associated with the attachment.
    AssetVersion:
      type: object
      required:
        - id
        - asset_id
        - created_by_user_id
        - thumbnail_file_id
        - name
        - description
        - key
        - size
        - version_number
        - sequence
        - checksum
      properties:
        id:
          type: string
          description: Unique identifier for the asset version
        asset_id:
          type: string
          description: Identifier of the associated asset
        commit_parent_id:
          type: string
          description: Identifier of the parent commit, if any
        created_by_user_id:
          type: string
          description: Identifier of the user who created the asset version
        thumbnail_file_id:
          type: string
          description: Identifier of the thumbnail file
        name:
          type: string
          description: Name of the asset version
        description:
          type: string
          description: Description of the asset version
        key:
          type: string
          description: Key associated with the asset version
        size:
          type: integer
          format: int64
          description: Size of the asset version
        version_number:
          type: integer
          description: Version number of the asset
        sequence:
          type: integer
          format: int64
          description: Sequence number of the asset version
        checksum:
          type: string
          description: Checksum of the asset version
        user:
          $ref: '#/components/schemas/User'
          description: User who created the asset version
    User:
      type: object
      description: User model
      properties:
        id:
          type: string
          description: Unique identifier for the user
        auth0UserID:
          type: string
          description: Auth0 user ID
        username:
          type: string
          description: Username of the user
        email:
          type: string
          description: Email address of the user
        firstName:
          type: string
          description: First name of the user
        lastName:
          type: string
          description: Last name of the user
        avatar_file_id:
          type: string
          description: File ID of the user's avatar
        defaultAvatar:
          type: number
          description: Default avatar identifier
        industry:
          type: string
          description: Industry the user works in
        occupation:
          type: string
          description: Occupation of the user
        company:
          type: string
          description: Company the user works for
        emailVerified:
          type: boolean
          description: Whether the user's email is verified
        isActive:
          type: boolean
          description: Whether the user is active
        city:
          type: string
          description: City where the user resides
        state:
          type: string
          description: State where the user resides
        country:
          type: string
          description: Country where the user resides
        zipCode:
          type: string
          description: Zip code of the user's location
        invited_by_user:
          $ref: '#/components/schemas/User'
          description: User who invited this user
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````